%define anolis_release 1
%global pypi_name nvdiffrast
%global pypi_version 0.3.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Modular Primitives for High-Performance Differentiable Rendering

BuildArch:      noarch
License:        None
URL:            https://github.com/NVlabs/nvdiffrast
Source0:        https://github.com/NVlabs/nvdiffrast/archive/refs/tags/v0.3.1.tar.gz#/%{pypi_name}-%{pypi_version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Nvdiffrast is a PyTorch/TensorFlow library that provides high-performance 
primitive operations for rasterization-based differentiable rendering.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(numpy)
%description -n python3-%{pypi_name}
Nvdiffrast is a PyTorch/TensorFlow library that provides high-performance 
primitive operations for rasterization-based differentiable rendering.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Jan 09 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.3.1-1
- Initial package.
